Package Details: osvr-oculus-rift-git v0.1.r87.g53cf8e4-1

Git Clone URL: https://aur.archlinux.org/osvr-oculus-rift-git.git (read-only)
Package Base: osvr-oculus-rift-git
Description: A plugin for OSVR that provides access to Oculus Rift trackers from OSVR applications.
Upstream URL: https://github.com/OSVR/OSVR-Oculus-Rift
Submitter: haagch
Maintainer: haagch (feilen, lubosz)
Last Packager: haagch
Votes: 2
Popularity: 0.000000
First Submitted: 2015-03-28 22:57
Last Updated: 2016-07-15 09:34

Dependencies (4)

Required by (0)

Sources (2)

Latest Comments

1 2 Next › Last »

haagch commented on 2016-03-04 18:52

no-vrpn-required has been merged into master. I'm not 100% sure how it's supposed to work, but I think you're starting it with

osvr_server /usr/share/osvrcore/sample-configs/osvr_server_config.oculusrift.sample.json

That file was not installed, so I added it.

Not sure if the absolute path to the display config is required, but it doesn't hurt I suppose.

Untested, because I have no DK2 anymore.

feilen commented on 2016-01-24 01:51

It seems to spam the console with text if you get an app running then close it.

But yeah, tracking works perfectly, tested with OSVRTrackerView and dolphin-emu-osvr-git.

haagch commented on 2016-01-24 00:35

Does it actually work? Last time I tried it, it always crashed when I tried to use it and there are no new commits...

I don't like autostarting it, because osvr-server it eats ~5% cpu when idling on my laptop. I think this is the bug report to track for this: https://github.com/OSVR/OSVR-Core/issues/328

feilen commented on 2016-01-23 23:23

Updated to use the 'no-vrpn-required' branch, and removed VRPN dependency. Much smaller, much easier to build now!

I think we could make the OSVR server a /etc/xdg/autostart application with a bit of fiddling, make it source in /etc/osvr_server.cfg and adjust that to have a bunch of commented include statements by default.

feilen commented on 2015-09-15 23:46

Ah, thanks! And yes, that's probably a good idea. In all likelihood, are you still using oculus-rift-sdk-jherico-git? Some slightly different files in there might be affecting Cmake.

haagch commented on 2015-09-10 06:12

Maybe it would be time to figure out why this happens for you, but not for me.

By the way, I added you as Co-Maintainer to some osvr packages, so you should be able to edit the packages too.

feilen commented on 2015-09-10 04:20

Could you please add the `mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib" || true` line to the package() function?

feilen commented on 2015-08-03 13:30

Good news, the next version of the osvr-oculus-rift thing (in the no-vrpn-required branch) will be tested against both Linux and Windows during development, and will most assuredly actually work when it's done.

feilen commented on 2015-06-02 00:01

Has the same 'lib64' problem as the other two I'm afraid.

haagch commented on 2015-03-29 10:31

Oh, I didn't actually compile vrpn with oculus rift support so the plugin failed with undefined reference to oculus rift functions.

vrpn then needs oculus rift headers in weird places.

So you need to first update the oculus rift sdk, then vrpn and then this package, in case you already installed it.